> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List Wg Tunnel



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/wg_tunnel/get_list
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/wg_tunnel/get_list:
    get:
      tags:
        - service - vpn app
      summary: Get List Wg Tunnel
      operationId: get_list_wg_tunnel_service__tenant_name__wg_tunnel_get_list_get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: user_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: User Name
        - name: tunnel_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tunnel Id
        - name: system_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: System Name
        - name: username
          in: query
          required: true
          schema:
            type: string
            title: Username
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemsList_NBWGTunnel_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    ItemsList_NBWGTunnel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/NBWGTunnel'
          type: array
          title: Items
        count:
          type: integer
          title: Count
          default: 0
        total_count:
          type: integer
          title: Total Count
          default: 0
      type: object
      required:
        - items
      title: ItemsList[NBWGTunnel]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NBWGTunnel:
      properties:
        tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant Name
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: User Name
        tunnel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tunnel Id
        system_name:
          anyOf:
            - type: string
            - type: 'null'
          title: System Name
        system_location:
          anyOf:
            - type: string
            - type: 'null'
          title: System Location
        public_key:
          type: string
          title: Public Key
        tunnel_ip:
          type: string
          title: Tunnel Ip
        labels:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Labels
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - public_key
        - tunnel_ip
      title: NBWGTunnel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````